API Reference
Get price quote
Returns a live price quote for a swap between two assets. Optionally computes a worked example for a specific input or output amount.
Returns a live price quote for a swap between two assets. Optionally computes a worked example for a specific input or output amount.
Query Parameters
input_asset*string
Asset you are sending (e.g. BTC)
output_asset*string
Asset you want to receive (e.g. ETH)
input_amount?number
If provided, compute the expected output for this input amount
Format
floatoutput_amount?number
If provided, estimate the required input to receive this output amount
Format
floatResponse Body
application/json
curl -X GET "https://feather-prod.tristero.com/price?input_asset=string&output_asset=string"{
"InputAsset": {
"AssetName": "string",
"UsdMarketMid": 0.1,
"HalfSpread": 0.1,
"MarketHalfSpread": 0.1,
"HalfFee": 0.1,
"MinAmount": 0.1,
"MaxOutput": 0.1,
"MaxInput": 0.1,
"PriceImpactRate": 0.1,
"CapacityFraction": 0.1,
"TargetBalance": 0.1,
"CurrentBalance": 0.1,
"FundingAddress": "string"
},
"OutputAsset": {
"AssetName": "string",
"UsdMarketMid": 0.1,
"HalfSpread": 0.1,
"MarketHalfSpread": 0.1,
"HalfFee": 0.1,
"MinAmount": 0.1,
"MaxOutput": 0.1,
"MaxInput": 0.1,
"PriceImpactRate": 0.1,
"CapacityFraction": 0.1,
"TargetBalance": 0.1,
"CurrentBalance": 0.1,
"FundingAddress": "string"
},
"ExchangeRate": 0.1,
"InputFee": 0.1,
"MaxInput": 0.1,
"MinInput": 0.1,
"MaxOutput": 0.1,
"Example": {
"InputAmount": 0.1,
"InputUsd": 0.1,
"OutputAmount": 0.1,
"OutputUsd": 0.1,
"Overpay": 0.1,
"Warning": "string"
}
}